Get usage
curl --request GET \
--url https://storeinspect.com/api/v1/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://storeinspect.com/api/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storeinspect.com/api/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "usage",
"plan": {
"name": "<string>",
"status": "<string>",
"trial": {
"active": true,
"ends_at": "2023-11-07T05:31:56Z"
}
},
"contact_credits": {
"total": 1,
"used": 1,
"remaining": 1,
"paid_plan_total": 1,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
},
"api_requests": {
"limit": 1,
"used": 1,
"remaining": 1,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
},
"search_rows": {
"limit": 1,
"used": 1,
"remaining": 1,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z"
},
"rate_limit": {
"limit": 1,
"interval": "<string>"
},
"key": {
"id": "<string>",
"name": "<string>"
},
"request_id": "<string>",
"billing": {
"action": "end_trial_to_unlock_pro_credits",
"current_limit": 1,
"paid_plan_limit": 1,
"trial_ends_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"can_unlock_paid_credits_now": true
}
}Usage
Get usage
Returns API access state, request quota, search-row quota, and shared contact-credit usage for the authenticated account.
GET
/
usage
Get usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Usage for the authenticated account.
Allowed value:
"usage"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I